kthread_stop
Prev | Internal Functions | Next

## Name

kthread_stop — stop a thread created by `kthread_create`.

## Synopsis

`int kthread_stop (` | struct task_struct * | k`)`;

## Arguments

`k`

  thread created by `kthread_create`.

## Description

Sets `kthread_should_stop` for `k` to return true, wakes it, and waits for it to exit. Your `threadfn` must not call `do_exit` itself if you use this function! This can also be called after `kthread_create` instead of calling `wake_up_process`: the thread will exit without calling `threadfn`.

Returns the result of `threadfn`, or `-EINTR` if `wake_up_process` was never called.

Prev | Up | Next
kthread_bind | Home | Kernel objects manipulation